# Visualization
TKV3d
AIS

# AIS_C0RegularityFilter Class Reference

`#include <AIS_C0RegularityFilter.hxx>`

Inheritance diagram for AIS_C0RegularityFilter:

[legend]

## Public Member Functions

Standard_EXPORT | AIS_C0RegularityFilter (const TopoDS_Shape &aShape)
virtual Standard_EXPORT Standard_Boolean | ActsOn (const TopAbs_ShapeEnum aType) const
| Returns true in an AIS local context, if this filter operates on a type of subshape defined in a filter class inheriting this framework. This function completes IsOk in an AIS local context. .
virtual Standard_EXPORT Standard_Boolean | IsOk (const Handle(SelectMgr_EntityOwner)&EO) const

Indicates that the selected Interactive Object
passes the filter. The owner, anObj, can be either
direct or user. A direct owner is the corresponding
construction element, whereas a user is the
compound shape of which the entity forms a part.
When an object is detected by the mouse - in AIS,
this is done through a context selector - its owner
is passed to the filter as an argument.
If the object returns Standard_True, it is kept; if
not, it is rejected.
If you are creating a filter class inheriting this
framework, and the daughter class is to be used in
an AIS local context, you will need to implement the
virtual function ActsOn.
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopTools_MapOfShape | myMapOfEdges

## Constructor & Destructor Documentation

Standard_EXPORT AIS_C0RegularityFilter::AIS_C0RegularityFilter | ( | const TopoDS_Shape & | aShape | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean AIS_C0RegularityFilter::ActsOn | ( | const TopAbs_ShapeEnum | aType | ) | const`[virtual]`

| Reimplemented from SelectMgr_Filter.

Standard_EXPORT const AIS_C0RegularityFilter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_Filter.

virtual Standard_EXPORT Standard_Boolean AIS_C0RegularityFilter::IsOk | ( | const Handle(SelectMgr_EntityOwner)& | EO | ) | const`[virtual]`

| Implements SelectMgr_Filter.

## Field Documentation

TopTools_MapOfShape AIS_C0RegularityFilter::myMapOfEdges `[private]`

The documentation for this class was generated from the following file:

- AIS_C0RegularityFilter.hxx